Subject: Re: self signed certificate

From: Alex Kuehne <[email-masked]>
Date: Thu, 13 Mar 2003 14:32:00 +0100

> -----Original Message-----
 > From: Jan Staschulat [mailto:[email-masked]]
 > Sent: Thursday, March 13, 2003 2:12 PM
 > To: [email-masked]
 > Subject: self signed certificate
 >
 >
 > Hi, I have problems creating a self signed certificate.
 > I'm using OpenSSL 0.9.7a on SunOS 5.7 sparc SUNW,Ultra-2
 > I went through the description of FAQ-page:
 > http://www.corserv.com/freebsd/apache-ssl-howto.html
 >
 > OpenSSL quits with the error when I want to sign the server.csr:
 >
 > $> openssl ca -config ca.config -out server.crt -infiles server.csr
 > ...
 > Sign the certificate? [y/n]:y
 > failed to update database
 > TXT_DB error number 2
 >
 > I searched on google and found the same question on the modssl-users
 > mailing list (Dez 2002) , which is still unanswered:
 >
 > http://www.mail-archive.com/[email-masked]/msg15877.html

Hello,

don't mess with openssl. Please refer to

http://www.modssl.org/docs/2.8/ssl_faq.html#ToC29.

There is a script sign.sh in the contrib dir of modssl source package.

Best regards
Alex Kuehne

--
Network Manager, SAG, Berlin, Germany

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]